abstract class CacheConfig {
  CacheConfig({required this.cacheDirectory});

  /// Directory where cache should be persisted
  final String cacheDirectory;

  /// Based on the uri passed in, decide whether this request is eligible for caching
  bool isCacheable({required Uri uri});

  /// Return the maximum age of a cache in seconds
  int maxAgeForRequest({required Uri uri});
}
