import 'package:map_launcher/map_launcher.dart';

enum MapLocationType {
  apple,
  google,
  waze,
}

extension MapLocationTypeExtension on MapLocationType {
  MapType get mapType {
    switch (this) {
      case MapLocationType.apple:
        return MapType.apple;
      case MapLocationType.google:
        return MapType.google;
      case MapLocationType.waze:
        return MapType.waze;
    }
  }
}

extension MapTypeeExtension on MapType {
  MapLocationType? get mapType {
    switch (this) {
      case MapType.apple:
        return MapLocationType.apple;
      case MapType.google:
        return MapLocationType.google;
      case MapType.waze:
        return MapLocationType.waze;
      default:
        return null;
    }
  }
}
