import 'package:dio/dio.dart';

import '../../../config.dart';

class GoogleApiInterceptor extends InterceptorsWrapper {
  final ConfigRepository configRepository;

  GoogleApiInterceptor({required this.configRepository});

  @override
  void onRequest(RequestOptions options, RequestInterceptorHandler handler) {
    options.queryParameters.putIfAbsent("key", () => configRepository.googleApiKey);
    super.onRequest(options, handler);
  }
}
