import 'connectivity_info.dart';
import 'network_client.dart';

abstract class Network {
  abstract ConnectivityInfo connectivityInfo;
  abstract NetworkClient client;
  abstract NetworkClient authenticatedClient;
  abstract NetworkClient googleApiClient;
}

class NetworkImpl implements Network {
  NetworkImpl({
    required this.connectivityInfo,
    required this.client,
    required this.authenticatedClient,
    required this.googleApiClient,
  });

  @override
  ConnectivityInfo connectivityInfo;

  @override
  NetworkClient client;

  @override
  NetworkClient authenticatedClient;

  @override
  NetworkClient googleApiClient;
}
