import 'package:permission_handler/permission_handler.dart';

enum PermissionType {
  location,
  photos,
}

extension PermissionTypeExtension on PermissionType {
  Permission get type {
    switch (this) {
      case PermissionType.location:
        return Permission.location;
      case PermissionType.photos:
        return Permission.photos;
    }
  }
}
