import 'package:url_launcher/url_launcher.dart';

class UrlLauncherService {
  Future<bool> launchUrl({
    required String url,
    bool openInBrowser = false,
  }) async {
    return await launch(
      url,
      forceSafariVC: !openInBrowser,
      forceWebView: !openInBrowser,
      enableJavaScript: true,
    );
  }

  Future<bool> canLaunchUrl({
    required String url,
  }) async {
    return await canLaunch(
      url,
    );
  }
}
