import 'package:image_picker/image_picker.dart';

enum ImageSourceType { camera, gallery }

extension ImageSourceTypeExtension on ImageSourceType {
  ImageSource get imageSource {
    switch (this) {
      case ImageSourceType.camera:
        return ImageSource.camera;
      case ImageSourceType.gallery:
        return ImageSource.gallery;
      default:
        return ImageSource.gallery;
    }
  }
}
