//coverage:ignore-file
abstract class LocalStorageRepository {
  Future<bool> isFirstLaunch();
  Future<bool> isLocationPermissionFirstAsked();
  Future<bool> isNotificationPermissionFirstAsked();
  String? getRecentLocationSearches();
  Future<bool> storeRecentLocationSearches(String json);
  String? getRecentPostLocationSearches();
  Future<bool> storeRecentPostLocationSearches(String json);
  String? getRecentPostAddressLocationSearches();
  Future<bool> storeRecentPostAddressLocationSearches(String json);
  String? getLastPostListingLocation();
  Future<bool> storeLastPostListingLocation(String json);
  String? getLastSearchLocation();
  Future<bool> storeLastSearchLocation(String json);
}
