import 'package:flutter/material.dart';

abstract class Swatches {
  static MaterialColor get purple {
    var color = const Color(0xFF373373);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFF3F3F9),
        100: const Color(0xFFCACAEA),
        200: const Color(0xFF918FBA),
        300: const Color(0xFF696696),
        400: const Color(0xFF4B4881),
        500: color,
        600: const Color(0xFF23234F),
        700: const Color(0xFF171935),
        800: const Color(0xFF0B0C1F),
      },
    );
  }

  static MaterialColor get green {
    var color = const Color(0xFF37A864);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFF4FAF5),
        100: const Color(0xFFDAEFDF),
        200: const Color(0xFFBAE5C6),
        300: const Color(0xFF90D3A6),
        400: const Color(0xFF56C17C),
        500: color,
        600: const Color(0xFF2D844C),
        700: const Color(0xFF215934),
        800: const Color(0xFF11351C),
      },
    );
  }

  static MaterialColor get blue {
    var color = const Color(0xFF2681DB);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFF0FAFC),
        100: const Color(0xFFCBEAF4),
        200: const Color(0xFF9CD4F2),
        300: const Color(0xFF69B8ED),
        400: const Color(0xFF3B97E2),
        500: color,
        600: const Color(0xFF155E9B),
        700: const Color(0xFF103A56),
        800: const Color(0xFF08283A),
      },
    );
  }

  static MaterialColor get yellow {
    var color = const Color(0xFFF8AA17);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFFFFBF2),
        100: const Color(0xFFFEEED1),
        200: const Color(0xFFF9DB91),
        300: const Color(0xFFFFD255),
        400: const Color(0xFFFFB92E),
        500: color,
        600: const Color(0xFFD49129),
        700: const Color(0xFFAA6F29),
        800: const Color(0xFF845726),
      },
    );
  }

  static MaterialColor get red {
    var color = const Color(0xFFF1454F);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFFEF4F5),
        100: const Color(0xFFFCDADC),
        200: const Color(0xFFFABEC2),
        300: const Color(0xFFFF8383),
        400: const Color(0xFFF96262),
        500: color,
        600: const Color(0xFFBB3C4D),
        700: const Color(0xFF993244),
        800: const Color(0xFF721F31),
      },
    );
  }

  static MaterialColor get violet {
    var color = const Color(0xFF9B44AD);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFFAF3F8),
        100: const Color(0xFFEBDAEF),
        200: const Color(0xFFDCBEE2),
        300: const Color(0xFFC48FD2),
        400: const Color(0xFFAC60BF),
        500: color,
        600: const Color(0xFF793889),
        700: const Color(0xFF5D2C68),
        800: const Color(0xFF401D49),
      },
    );
  }

  static MaterialColor get grey {
    var color = const Color(0xFF3E4153);
    return MaterialColor(
      color.value,
      {
        50: const Color(0xFFF8F9F9),
        100: const Color(0xFFECECEE),
        200: const Color(0xFFD2D3D7),
        300: const Color(0xFF8E909B),
        400: const Color(0xFF6F727F),
        500: color,
        600: const Color(0xFF343746),
      },
    );
  }
}
